Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/keywords' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 845781,
"keywords": [
{
"id": 801,
"name": "bounty hunter"
},
{
"id": 65,
"name": "holiday"
},
{
"id": 1930,
"name": "kidnapping"
},
{
"id": 1991,
"name": "santa claus"
},
{
"id": 6678,
"name": "polar bear"
},
{
"id": 207317,
"name": "christmas"
},
{
"id": 247799,
"name": "action comedy"
},
{
"id": 298618,
"name": "family comedy"
},
{
"id": 324005,
"name": "fantasy comedy"
},
{
"id": 325761,
"name": "admiring"
},
{
"id": 325781,
"name": "celebratory"
},
{
"id": 325811,
"name": "excited"
}
]
}This endpoint retrieves the list of keywords associated with a movie.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Keywords
845781
Show child attributes
[
{ "id": 801, "name": "bounty hunter" },
{ "id": 65, "name": "holiday" },
{ "id": 1930, "name": "kidnapping" },
{ "id": 1991, "name": "santa claus" },
{ "id": 6678, "name": "polar bear" },
{ "id": 207317, "name": "christmas" },
{ "id": 247799, "name": "action comedy" },
{ "id": 298618, "name": "family comedy" },
{ "id": 324005, "name": "fantasy comedy" },
{ "id": 325761, "name": "admiring" },
{ "id": 325781, "name": "celebratory" },
{ "id": 325811, "name": "excited" }
]